From: Zdenek Kabelac <zkabelac@sourceware.org>
To: lvm-devel@redhat.com
Subject: main - aux: more efficient lvmlock shutdown
Date: Mon, 24 Apr 2023 22:14:32 +0000 (GMT) [thread overview]
Message-ID: <20230424221432.CD36F3858D32@sourceware.org> (raw)
Gitweb: https://sourceware.org/git/?p=lvm2.git;a=commitdiff;h=5e4c0701d9d37eaa46468319c4df8f221acd38b3
Commit: 5e4c0701d9d37eaa46468319c4df8f221acd38b3
Parent: 8947964f10499cf286985da37973cdbcaff9d7f1
Author: Zdenek Kabelac <zkabelac@redhat.com>
AuthorDate: Mon Apr 24 22:18:57 2023 +0200
Committer: Zdenek Kabelac <zkabelac@redhat.com>
CommitterDate: Tue Apr 25 00:12:31 2023 +0200
aux: more efficient lvmlock shutdown
---
test/lib/aux.sh | 8 ++------
1 file changed, 2 insertions(+), 6 deletions(-)
diff --git a/test/lib/aux.sh b/test/lib/aux.sh
index a385df76b..8b04e1d30 100644
--- a/test/lib/aux.sh
+++ b/test/lib/aux.sh
@@ -175,7 +175,7 @@ prepare_lvmlockd() {
fi
sleep 1
- if ! pgrep lvmlockd; then
+ if ! pgrep lvmlockd >LOCAL_LVMLOCKD; then
echo "Failed to start lvmlockd"
exit 1
fi
@@ -552,11 +552,7 @@ teardown() {
if test -n "$LVM_TEST_LVMLOCKD_TEST" ; then
echo ""
echo "## stopping lvmlockd in teardown"
- killall lvmlockd
- sleep 1
- killall lvmlockd || true
- sleep 1
- killall -9 lvmlockd || true
+ kill_sleep_kill_ LOCAL_LVMLOCKD 0
fi
dm_table | not grep -E -q "$vg|$vg1|$vg2|$vg3|$vg4" || {
reply other threads:[~2023-04-24 22:14 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20230424221432.CD36F3858D32@sourceware.org \
--to=zkabelac@sourceware.org \
--cc=lvm-devel@redhat.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.